import os
from flask import jsonify, Response
from gradio_client import Client, handle_file

class RenderController:
    def get_render(self, hf_token='', base_image_url='',
                   prompt='A realistic photo of a building',
                   negative_prompt="sketch, drawing",
                   instruct_query='use everything from the image',
                   scale=0.8,
                   nfaa_negative_prompt='naked, bikini, skimpy, scanty, bare skin, lingerie, swimsuit, exposed, see-through') -> Response:

        client = Client("unity/IP-Adapter-Instruct")

        result = client.predict(
            images=handle_file(base_image_url),
            prompt=prompt,
            negative_prompt=negative_prompt,
            instruct_query=instruct_query,
            scale=scale,
            nfaa_negative_prompt=nfaa_negative_prompt,
            api_name="/generate_image"
        )

        return jsonify({"result": result})
